Bug 46972 - ListViews not respecting binding when a GRID is used in the data template
Summary: ListViews not respecting binding when a GRID is used in the data template
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 2.3.1
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-11-15 03:48 UTC by Stacy Henwood
Modified: 2017-07-13 11:59 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Reproducer (7.35 MB, application/x-zip-compressed)
2016-11-15 03:52 UTC, Stacy Henwood
Details
Attached IDE logs (2.04 KB, application/x-zip-compressed)
2017-07-13 11:59 UTC, Aman Dharwal
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Stacy Henwood 2016-11-15 03:48:24 UTC
If you have a GRID in the datatemplate (either in the group header or in the item) then the bindings will not work correctly. If you update a string value, then it does not update in the template, but rather gets set to an empty string.

If you wrap the Grid in a Stacklayout, it magically starts to work again.

I will attach a reproducer project, based on the Xamarin Forms Samples on github.
Comment 1 Stacy Henwood 2016-11-15 03:52:32 UTC
Created attachment 18462 [details]
Reproducer

Modified group list view from github

Uncomment the StackLayout in the .xaml file to see correct behaviour, re-comment to see bug
Comment 2 adrianknight89 2016-11-18 04:34:04 UTC
Which platform is this happening on?
Comment 3 Stacy Henwood 2016-11-20 19:38:09 UTC
Windows 8/8.1 and UWP

In the project (attached to this call) iOS and Android projects are also included, but i have not confirmed that the bug occurs in those environments.
Comment 4 Paul DiPietro [MSFT] 2017-03-24 22:17:31 UTC
This looks to be resolved as of the 2.3.5.73-nightly.
Comment 5 Aman Dharwal 2017-07-13 11:59:15 UTC
Created attachment 23531 [details]
Attached IDE logs

This issue doesn't exist anymore, hence marking it as Verified

=========================================================================

Environment info : https://gist.github.com/saurabh-paunikar/4932c704b6a205cf61457a008c16f8be

Screencast link : https://www.screencast.com/t/8o1Hx6dw0NP